net.sf.jasperreports.engine.export

## Class DefaultExporterFilterFactory

- java.lang.Object
- - net.sf.jasperreports.engine.export.DefaultExporterFilterFactory

- All Implemented Interfaces:
    ExporterFilterFactory

      public class DefaultExporterFilterFactory
      extends java.lang.Object
      implements ExporterFilterFactory

  Default exporter filter factory. The factory searches for all registered filter factories and collects all filters produced by these factories for a specific exporter context.
  Version:
    $Id: DefaultExporterFilterFactory.java 6425 2013-08-27 16:35:41Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    `getFilter(JRExporterContext)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_EXPORTER_FILTER_FACTORY_PREFIX` The prefix of properties that are used to register filter factories.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultExporterFilterFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List<ExporterFilterFactory>` | `getAllFilterFactories(JasperPrint report)` Deprecated. Replaced by `getAllFilterFactories(JasperReportsContext, JasperPrint)`.
    `protected java.util.List<ExporterFilterFactory>` | `getAllFilterFactories(JasperReportsContext jasperReportsContext, JasperPrint report)`
    `ExporterFilter` | `getFilter(JRExporterContext exporterContext)` The method searches for all filter factories registered via `net.sf.jasperreports.export.filter.factory.`
    `protected ExporterFilterFactory` | `getFilterFactory(java.lang.String factoryClassName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_EXPORTER_FILTER_FACTORY_PREFIX

          public static final java.lang.String PROPERTY_EXPORTER_FILTER_FACTORY_PREFIX

      The prefix of properties that are used to register filter factories.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DefaultExporterFilterFactory

          public DefaultExporterFilterFactory()

  - ### Method Detail

    - #### getFilter

          public ExporterFilter getFilter(JRExporterContext exporterContext)
                                   throws JRException

      The method searches for all filter factories registered via `net.sf.jasperreports.export.filter.factory.*` properties, calls each factory and collects the returned filters. The method returns:
      - `null`, if no factory returned a not null filter.
      - an individual filter, if a single factory returned a not null filter.
      - a `ExporterFilterContainer` instance, if several factories returned not null filters.
      Specified by:
        `getFilter` in interface `ExporterFilterFactory`
      Parameters:
        `exporterContext` - the exporter context
      Returns:
        an export filter for the exporter, or `null` if nothing is to be filtered
      Throws:
        `JRException`
      See Also:
        `PROPERTY_EXPORTER_FILTER_FACTORY_PREFIX`

    - #### getAllFilterFactories

          protected java.util.List<ExporterFilterFactory> getAllFilterFactories(JasperReportsContext jasperReportsContext,
                                                                    JasperPrint report)
                                                                         throws JRException

      Throws:
        `JRException`

    - #### getAllFilterFactories

          protected java.util.List<ExporterFilterFactory> getAllFilterFactories(JasperPrint report)
                                                                         throws JRException

      Deprecated. Replaced by `getAllFilterFactories(JasperReportsContext, JasperPrint)`.
      Throws:
        `JRException`

    - #### getFilterFactory

          protected ExporterFilterFactory getFilterFactory(java.lang.String factoryClassName)
                                                    throws JRException

      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com